Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Document

All Superinterfaces:
  Item, Localized, WCMApiObject

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, ContentComponentContainer, ContentLink, ContentPrototype, CustomWorkflowAction, Editable, EditableLibraryComponent, EmailAction, ExpireAction, Folder, HierarchicalPrototype, HierarchicalTemplate, HierarchicalTemplatedDocument, LibraryAuthoringToolsComponent, LibraryComponent, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPageNavigationComponent, LibraryPersonalizationComponent, LibraryReferenceComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTaxonomyComponent, LibraryTextComponent, LibraryUserNameComponent, LibraryUserSelectionComponent, Placeable, PortalPage, PresentationTemplate, Project, ProjectTemplate, Prototype, PublishAction, ScheduledMoveAction, ScheduledWorkflowAction, Site, SiteArea, SiteAreaPrototype, SiteAreaTemplate, SiteFrameworkContainer, Subscriber, Syndicator, Taxonomy, TemplatedDocument, VersionAction, Workflow, WorkflowAction, WorkflowStage

    public interface Document

extends Item, Localized

An interface defining an object that exists as an entity in the repository. This class extends `com.ibm.portal.Localized` which is documented in the WebSphere Portal Infocenter. The class is located in wp.base.jar, so this jar needs to be in your classpath. 'Live' access has been removed from WCM. 'Live' access methods are deprecated and 'Read' access method calls should be used instead. Calling 'Live' access methods have the same effect as calling 'Read' access.

Method Summary
`java.lang.String[]` | `getAuthors()` Returns the names of authors of this `Document` object as a string array.
`java.lang.String[]` | `getContributorAccessMembers()` Deprecated. use `getMembersForAccess(Access)`
`java.lang.String` | `getCreator()` Returns the name of creator of this `Document` object as a string.
`java.lang.String[]` | `getDeleteAccessMembers()` Deprecated. Use `getMembersForAccess(Access)` instead (using Access.MANAGER)
`java.lang.String` | `getDescription(java.util.Locale locale)` Returns the localized description of this `Document` object.
`java.lang.String` | `getDescriptionTextProviderKey()` If a text provider has been configured, this method returns the text provider key for the description of this item.
`java.lang.String` | `getDescriptionTextProviderName()` If a text provider has been configured, this method returns the text provider name for the description of this item.
`java.lang.String[]` | `getEditAccessMembers()` Deprecated. Use `getMembersForAccess(Access)` instead
`java.lang.String[]` | `getEditorAccessMembers()` Deprecated. use `getMembersForAccess(Access)`
`HistoryLogIterator` | `getHistoryLog()` Returns the history log of this document
`DocumentId` | `getId()` Returns the `DocumentId` of this `Document` object.
`java.lang.String[]` | `getInheritedContributorAccessMembers()` Deprecated. use `getMembersForInheritedAccess(Access)`
`java.lang.String[]` | `getInheritedEditorAccessMembers()` Deprecated. use `getMembersForInheritedAccess(Access)`
`java.lang.String[]` | `getInheritedManagerAccessMembers()` Deprecated. use `getMembersForInheritedAccess(Access)`
`java.lang.String[]` | `getInheritedUserAccessMembers()` Deprecated. use `getMembersForInheritedAccess(Access)`
`java.lang.String` | `getLastModifier()` Returns the distinguished name of the last modifier of this item.
`java.lang.String[]` | `getLiveAccessMembers()` Deprecated. Use `getMembersForAccess(Access)` instead
`java.lang.String[]` | `getManagerAccessMembers()` Deprecated. use `getMembersForAccess(Access)`
`java.lang.String[]` | `getMembersForAccess(Access access)` Get the members who have the specified access explicitly granted on this `Document` object.
`java.lang.String[]` | `getMembersForInheritedAccess(Access access)` Get the members who have inherited the specified access on this `Document` object.
`DocumentLibrary` | `getOwnerLibrary()` Returns the library in which this `Document` object is stored.
`java.lang.String[]` | `getOwners()` Returns the names of owners of this `Document` object as a string array.
`Project` | `getProject()` Return `Project` if this `Document` is in a Project.
`java.lang.String[]` | `getReadAccessMembers()` Deprecated. Use `getMembersForAccess(Access)` instead (using Access.CONTRIBUTOR)
`Workspace` | `getSourceWorkspace()` Returns the `Workspace` of this `Document` object.
`java.lang.String` | `getTitle(java.util.Locale locale)` Returns the localized title of this `Document` object.
`java.lang.String` | `getTitleTextProviderKey()` If a text provider has been configured, this method returns the text provider key for the title of this item.
`java.lang.String` | `getTitleTextProviderName()` If a text provider has been configured, this method returns the text provider name for the title of this item.
`java.lang.String[]` | `getUserAccessMembers()` Deprecated. use `getMembersForAccess(Access)` instead
`VersionCatalog` | `getVersionCatalog()` Use the `VersionCatalog` to access all available versions that exist for this `Document`
`VersionStrategy` | `getVersionStrategy()` Retrieve the version strategy for this item.
`boolean` | `hasDeleteAccess()` Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Delete' access methods have the same effect as 'Manager' access method calls. Use `Workspace.hasManagerAccess(DocumentId documentId)` instead
`boolean` | `hasDeleteAccess(UserProfile user)` Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Delete' access methods have the same effect as 'Manager' access method calls. Use `Workspace.hasManagerAccess(DocumentId documentId)` instead
`boolean` | `hasEditAccess()` Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Edit' access methods have the same effect as 'Editor' access method calls. Use `Workspace.hasEditorAccess(DocumentId documentId)` instead
`boolean` | `hasEditAccess(UserProfile user)` Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Edit' access methods have the same effect as 'Editor' access method calls. Use `Workspace.hasEditorAccess(DocumentId documentId)` instead
`boolean` | `hasLiveAccess()` Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead
`boolean` | `hasLiveAccess(UserProfile user)` Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead
`boolean` | `hasProject()` Return `true` if this `Document` is in a Project.
`boolean` | `hasReadAccess()` Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead
`boolean` | `hasReadAccess(UserProfile user)` Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead
`boolean` | `isContributorAccessInherited()` Deprecated. since 8.5 Use `isInherited(Access)` instead
`boolean` | `isEditorAccessInherited()` Deprecated. since 8.5 Use `isInherited(Access)` instead
`boolean` | `isInherited(Access access)` Check whether the permissions for the selected `Access` level are inherited from the parent of this `Document`.
`boolean` | `isManagerAccessInherited()` Deprecated. since 8.5 Use `isInherited(Access)` instead
`boolean` | `isNew()` Return `true` if this `Document` is new and unsaved.
`boolean` | `isPropagated(Access access)` Check whether the permissions for the selected `Access` level are propagated to the children of this `Document`.
`boolean` | `isUserAccessInherited()` Deprecated. since 8.5 Use `isInherited(Access)` instead
`boolean` | `isWorkflowed()` Return `true` if this `Document` object is workflowed.

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getSourceWorkspace

    Workspace getSourceWorkspace()

  Returns the `Workspace` of this `Document` object.

  Returns:
    the `Workspace` of this `Document`

### getId

    DocumentId getId()

  Returns the `DocumentId` of this `Document` object.

  Note. Calling this method on a `Document` that does not have a name set will result in a `NullPointerException`.

  Returns:
    the `DocumentId` of this `Document`
  Throws:
    `java.lang.NullPointerException` - if the name of this `Document` has not been set

### getTitle

    java.lang.String getTitle(java.util.Locale locale)

  Returns the localized title of this `Document` object. If a text provider has been configured, the localized title retrieved from the text provider will be returned. If no text provider is configured, the non-localized title of this `Document` object will be returned.

  Specified by:
    `getTitle` in interface `Localized`
  Parameters:
    `locale` - the locale to use when localizing the title
  Returns:
    the localized title of the controllable object that this Document refers to.

### getTitleTextProviderName

    java.lang.String getTitleTextProviderName()

  If a text provider has been configured, this method returns the text provider name for the title of this item. Otherwise, null will be returned.

  Returns:
    the text provider name for the title

### getTitleTextProviderKey

    java.lang.String getTitleTextProviderKey()

  If a text provider has been configured, this method returns the text provider key for the title of this item. Otherwise, null will be returned.

  Returns:
    the text provider key for the title

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  Returns the localized description of this `Document` object. If a text provider has been configured, the localized description retrieved from the text provider will be returned. If no text provider is configured, the non-localized description of this `Document` object will be returned.

  Specified by:
    `getDescription` in interface `Localized`
  Parameters:
    `locale` - the locale to use when localizing the description

    Returns `null` if this Document does not have a description.

  Returns:
    the localized description of the controllable object that this Document refers to.

### getDescriptionTextProviderName

    java.lang.String getDescriptionTextProviderName()

  If a text provider has been configured, this method returns the text provider name for the description of this item. Otherwise, null will be returned.

  Returns:
    the text provider name for the description

### getDescriptionTextProviderKey

    java.lang.String getDescriptionTextProviderKey()

  If a text provider has been configured, this method returns the text provider key for the description of this item. Otherwise, null will be returned.

  Returns:
    the text provider key for the description

### getAuthors

    java.lang.String[] getAuthors()

  Returns the names of authors of this `Document` object as a string array. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object has no authors.

  Returns:
    a string array of author common names or distinguished names

### getOwners

    java.lang.String[] getOwners()

  Returns the names of owners of this `Document` object as a string array. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object has no owners.

  Returns:
    a string array of owner common names or distinguished names

### getCreator

    java.lang.String getCreator()

  Returns the name of creator of this `Document` object as a string. The string is either the user's common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  Returns:
    a string that is the creator's common name or distinguished name

### getLiveAccessMembers

    java.lang.String[] getLiveAccessMembers()

  Deprecated. Use `getMembersForAccess(Access)` instead

  Returns a string array of members who have Live access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object does not have Live access specified.

  Returns:
    a string array of members that have Live access to this `Document` object.

### getUserAccessMembers

    java.lang.String[] getUserAccessMembers()

  Deprecated. use `getMembersForAccess(Access)` instead

  Returns a string array of members who have User access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object does not have User access specified.

  This method does not return array of members who have inherited User access.
  To get array of members who have inherited User access use `getInheritedUserAccessMembers()`

  Returns:
    a string array of members that have User access to this `Document` object.

### getReadAccessMembers

    java.lang.String[] getReadAccessMembers()

  Deprecated. Use `getMembersForAccess(Access)` instead (using Access.CONTRIBUTOR)

  Returns a string array of members who have Read access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Read access specified.

  Returns:
    a string array of members that have Read access to this `Document` object.

### getContributorAccessMembers

    java.lang.String[] getContributorAccessMembers()

  Deprecated. use `getMembersForAccess(Access)`

  Returns a string array of members who have Contributor access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Contributor access specified.

  This method does not return array of members who have inherited Contributor access.
  To get array of members who have inherited Contributor access use `getInheritedContributorAccessMembers()`

  Returns:
    a string array of members that have Contributor access to this `Document` object.

### getEditAccessMembers

    java.lang.String[] getEditAccessMembers()

  Deprecated. Use `getMembersForAccess(Access)` instead

  Returns a string array of members who have Edit access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Edit access specified.

  Returns:
    a string array of members that have Edit access to this `Document` object.

### getEditorAccessMembers

    java.lang.String[] getEditorAccessMembers()

  Deprecated. use `getMembersForAccess(Access)`

  Returns a string array of members who have Editor access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Editor access specified.

  This method does not return array of members who have inherited Editor access.
  To get array of members who have inherited Editor access use `getInheritedEditorAccessMembers()`

  Returns:
    a string array of members that have Editor access to this `Document` object.

### getInheritedContributorAccessMembers

    java.lang.String[] getInheritedContributorAccessMembers()

  Deprecated. use `getMembersForInheritedAccess(Access)`

  Returns a string array of members who have inherited Contributor access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object does not have inherited Contributor access specified.

  Returns:
    a string array of members that have inherited Contributor access to this `Document` object.

### getInheritedEditorAccessMembers

    java.lang.String[] getInheritedEditorAccessMembers()

  Deprecated. use `getMembersForInheritedAccess(Access)`

  Returns a string array of members who have inherited Editor access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object does not have inherited Editor access specified.

  Returns:
    a string array of members that have inherited Editor access to this `Document` object.

### getInheritedManagerAccessMembers

    java.lang.String[] getInheritedManagerAccessMembers()

  Deprecated. use `getMembersForInheritedAccess(Access)`

  Returns a string array of members who have inherited Manager access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object does not have inherited Manager access specified.

  Returns:
    a string array of members that have inherited Manager access to this `Document` object.

### getInheritedUserAccessMembers

    java.lang.String[] getInheritedUserAccessMembers()

  Deprecated. use `getMembersForInheritedAccess(Access)`

  Returns a string array of members who have inherited User access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users or groups.

  Returns an empty array if this `Document` object does not have inherited User access specified.

  Returns:
    a string array of members that have inherited User access to this `Document` object.

### getDeleteAccessMembers

    java.lang.String[] getDeleteAccessMembers()

  Deprecated. Use `getMembersForAccess(Access)` instead (using Access.MANAGER)

  Returns a string array of members who have Delete access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Delete access specified.

  Returns:
    a string array of members that have Delete access to this `Document` object.

### getManagerAccessMembers

    java.lang.String[] getManagerAccessMembers()

  Deprecated. use `getMembersForAccess(Access)`

  Returns a string array of members who have Manager access to this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if this `Document` object does not have Manager access specified.

  This method does not return array of members who have inherited Manager access.
  To get array of members who have inherited Manager access use `getInheritedManagerAccessMembers()`

  Returns:
    a string array of members that have Manager access to this `Document` object.

### getMembersForAccess

    java.lang.String[] getMembersForAccess(Access access)

  Get the members who have the specified access explicitly granted on this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if no user is explicitly granted the specified access on this `Document` object.

  Note: This method does not return members who have inherited the specified access.
  To get array of members who have inherited the specified access use `getMembersForInheritedAccess(Access)`

  Parameters:
    `access` - the access to query the members for.
  Returns:
    a string array of members that have the specified access explicitly granted on this `Document` object.

### getMembersForInheritedAccess

    java.lang.String[] getMembersForInheritedAccess(Access access)

  Get the members who have inherited the specified access on this `Document` object. The strings are either the users' common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  The resultant array may contain the names of users and groups.

  Returns an empty array if no user has inherited the specified access on this `Document` object.

  Parameters:
    `access` - the access to query the members who have inherited it.
  Returns:
    a string array of members that have inherited the specified access on this `Document` object.

### getOwnerLibrary

    DocumentLibrary getOwnerLibrary()

  Returns the library in which this `Document` object is stored.

  Returns `null` if this `Document` object has not been saved.

  Returns:
    the `DocumentLibrary` that this `Document` object is stored in.

### getHistoryLog

    HistoryLogIterator getHistoryLog()

  Returns the history log of this document

  The returned iterator iterates over `HistoryLogEntry` objects.

  Returns:
    a `HistoryLogIterator`, never null

### hasLiveAccess

    boolean hasLiveAccess(UserProfile user)
                          throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead

  Checks if the `UserProfile` has Live access to this document.

  Parameters:
    `user` - the `UserProfile` to perform the access check for
  Returns:
    true if this user has Live access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasReadAccess

    boolean hasReadAccess(UserProfile user)
                          throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead

  Checks if the `UserProfile` has Read access to this document.

  Parameters:
    `user` - the `UserProfile` to perform the access check for
  Returns:
    true if this user has Read access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasEditAccess

    boolean hasEditAccess(UserProfile user)
                          throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Edit' access methods have the same effect as 'Editor' access method calls. Use `Workspace.hasEditorAccess(DocumentId documentId)` instead

  Checks if the `UserProfile` has Edit access to this document.

  Parameters:
    `user` - the `UserProfile` to perform the access check for
  Returns:
    true if this user has Edit access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasDeleteAccess

    boolean hasDeleteAccess(UserProfile user)
                            throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Delete' access methods have the same effect as 'Manager' access method calls. Use `Workspace.hasManagerAccess(DocumentId documentId)` instead

  Checks if the `UserProfile` has Delete access to this document.

  Parameters:
    `user` - the `UserProfile` to perform the access check for
  Returns:
    true if this user has Delete access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasLiveAccess

    boolean hasLiveAccess()
                          throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead

  Checks if the user of the `Workspace` associated with the current Document has Live access to this `Document` object.

  Returns:
    true if this user has Live access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasReadAccess

    boolean hasReadAccess()
                          throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to 'Live' access methods have the same effect as 'Contributor' access method calls. Use `Workspace.hasContributorAccess(DocumentId documentId)` instead

  Checks if the user of the `Workspace` associated with the current Document has Read access to this `Document` object.

  Returns:
    true if this user has Read access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasEditAccess

    boolean hasEditAccess()
                          throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Edit' access methods have the same effect as 'Editor' access method calls. Use `Workspace.hasEditorAccess(DocumentId documentId)` instead

  Checks if the user of the `Workspace` associated with the current Document has Edit access to this `Document` object.

  Returns:
    true if this user has Edit access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### hasDeleteAccess

    boolean hasDeleteAccess()
                            throws OperationFailedException

  Deprecated. This method is deprecated from version 6.0. Calls to This method will be deprecated in the future. Calls to 'Delete' access methods have the same effect as 'Manager' access method calls. Use `Workspace.hasManagerAccess(DocumentId documentId)` instead

  Checks if the `UserProfile` has Delete access to this document. Delete access to this `Document` object.

  Returns:
    true if this user has Delete access, false if not
  Throws:
    `OperationFailedException` - if error occured when accessing repository

### isUserAccessInherited

    boolean isUserAccessInherited()

  Deprecated. since 8.5 Use `isInherited(Access)` instead

  Checks if the `User` access permissions will be inherited from the parent of this `Document`.

  Returns:
    true if user permissions are inherited, false if not

### isContributorAccessInherited

    boolean isContributorAccessInherited()

  Deprecated. since 8.5 Use `isInherited(Access)` instead

  Checks if the `Contributor` access permissions will be inherited from the parent of this `Document`.

  Returns:
    true if user permissions are inherited, false if not

### isEditorAccessInherited

    boolean isEditorAccessInherited()

  Deprecated. since 8.5 Use `isInherited(Access)` instead

  Checks if the `Editor` access permissions will be inherited from the parent of this `Document`.

  Returns:
    true if user permissions are inherited, false if not

### isManagerAccessInherited

    boolean isManagerAccessInherited()

  Deprecated. since 8.5 Use `isInherited(Access)` instead

  Checks if the `Manager` access permissions will be inherited from the parent of this `Document`.

  Returns:
    true if user permissions are inherited, false if not

### isPropagated

    boolean isPropagated(Access access)

  Check whether the permissions for the selected `Access` level are propagated to the children of this `Document`.

  Parameters:
    `access` - the access to query the propagation for.
  Returns:
    true if the permissions are propagated, false if not
  Since:
    8.5

### isInherited

    boolean isInherited(Access access)

  Check whether the permissions for the selected `Access` level are inherited from the parent of this `Document`.

  Parameters:
    `access` - the access to query the inheritance setting for.
  Returns:
    true if the permissions are inherited, false if not
  Since:
    8.5

### isWorkflowed

    boolean isWorkflowed()

  Return `true` if this `Document` object is workflowed.

  Returns:
    `true` if it is workflowed

### hasProject

    boolean hasProject()

  Return `true` if this `Document` is in a Project.

  Returns:
    `true` if it is in a Project
  Since:
    7.0

### isNew

    boolean isNew()

  Return `true` if this `Document` is new and unsaved.

  Returns:
    `true` if this `Document` is new and unsaved.
  Since:
    8.0

### getProject

    Project getProject()

  Return `Project` if this `Document` is in a Project. Consider calling `hasProject()` where appropriate, as this method can return null.

  Returns:
    `Project` if it is in a Project. Returns null if it is not in any Project; or if the current user does not have access to the Project.

### getVersionCatalog

    VersionCatalog getVersionCatalog()

  Use the `VersionCatalog` to access all available versions that exist for this `Document`

  Returns:
    `VersionCatalog` which can be used to access all available Versions that exist for this `Document`
  Since:
    7.0CF15

### getLastModifier

    java.lang.String getLastModifier()

  Returns the distinguished name of the last modifier of this item.

  Returns:
    the last modifier of this item
  Since:
    8.0

### getVersionStrategy

    VersionStrategy getVersionStrategy()

  Retrieve the version strategy for this item.

  The version strategy defines the policy for controlling when the item is versioned. By default the version strategy is globally configured per type in WCM config properties. Items that are templatable can have the global configuration overidden by the template.

  Note that workflowed items in a draft state are never versionined and so the strategy does not directly apply to drafts.

  Returns:
    the `VersionStrategy` of this item
  Since:
    8.0.0.1CF8

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD